Page MenuHomePhabricator

Help panel: adapt for StructuredDiscussions
Closed, ResolvedPublic

Description

The help panel is a feature that allows newcomers to post questions directly to their wiki's help desk while they are in the middle of editing a page.

This feature will likely be deployed on some wikis that use Structured Discussions on their help desks (e.g. Arabic Wikipedia). This will cause the help panel to be unable to post questions. For a future release, we may want to consider figuring out how to make the help panel work with StructuredDiscussions.

Another element of this is that the help panel does not display when editing a StructuredDiscussions page. We should also think about that.

Note: this change should affect both the help panel and the help module on the newcomer homepage.

Event Timeline

JTannerWMF moved this task from Inbox to Q2 2019-20 on the Growth-Team board.Jan 2 2019, 6:06 PM
Trizek-WMF renamed this task from Help panel: adapt for Flow to Help panel: adapt for StructuredDiscussions.Jan 4 2019, 1:12 PM
Trizek-WMF updated the task description. (Show Details)

The Growth team is considering this task for the hackathon. We're happy to collaborate with other participants on this.

@Urbanecm - Considering the uncertain future of StructuredDiscussions, I really hope that more wikis aren't going to convert their Help desks to it as there's a good chance this will cause headaches in the future.

MMiller_WMF updated the task description. (Show Details)May 16 2019, 7:47 PM

We moved this to Ready for Development because we're very likely to implement the help panel and newcomer homepage on Arabic Wikipedia.

@MMiller_WMF In Structured Discussions, the name of the user who created the topic as well as the date are clearly visible as part of the interface, do you think we should omit them from the question header? If so, what do you think it should be?

I'd like to voice my opinion here, it's clearly visible in the non-flow interface as well (as part of signature). We should either display the information twice in SD as well, or choose other consistent solution. On related note, I got some messages saying the headline is too long and that some community members would like to have it shorter (probably just "Help pane question (number)". We can also try to allow users to enter their own subject, to have more unique headers. Up to you and probably for a different task.

This is what the current headers look like in Flow. (first question from the homepage, second from the help panel)

I just looked at some Structured Discussions, and I think we should make the headers the same way as with wikitext. It helps people distinguish between different questions.

@Urbanecm -- if the Czech translation is too long, maybe you could cut the translation shorter in translatewiki.net, maybe to be like "Help panel: [PAGE] [TIMESTAMP]".

@Urbanecm -- if the Czech translation is too long, maybe you could cut the translation shorter in translatewiki.net, maybe to be like "Help panel: [PAGE] [TIMESTAMP]".

The complaint was about adding datetime and username to the headline specifically. I believe I told you that already.

Note that one of the reasons we put the name and the date in the header was to help make the header (more likely to be) unique, because with duplicate headers it's a pain to link to the right one. But that's only true for wikitext talk pages, not in Flow where every topic has an internal ID that's used for links. That's not to say that having dozens of topics on the same page all named "Help panel question" wouldn't still be confusing/annoying, so that might still be a valid reason to keep the username, or the date, or both.

Change 516801 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] [WIP] Support posting a question to a Flow board

https://gerrit.wikimedia.org/r/516801

Bencemac removed a subscriber: Bencemac.Jun 16 2019, 7:43 AM

Change 522108 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Allow posting questions to Flow pages

https://gerrit.wikimedia.org/r/522108

Change 516801 abandoned by Sbisson:
[WIP] Support posting a question to a Flow board

Reason:
Replaced by Id953b1377e2aefb81956ff6e63343f7cd9547ccc

https://gerrit.wikimedia.org/r/516801

I just looked at some Structured Discussions, and I think we should make the headers the same way as with wikitext. It helps people distinguish between different questions.

@MMiller_WMF could we reconsider this?

With the patch, after posting a question, the timestamp in the topic title shows "15:13, 15 July 2019" but when hovering over "a few seconds ago" I see "15 July 2019, 11:13 AM". As Stephane notes in gerrit, "The reason is that the topic title is based on server time and the Flow UI always uses local time. This will show different times for different users based on their timezone."

It would both simplify the code and the UX, in my opinion, to remove the timestamp in the topic title. If we want to keep a unique identifier in the topic title could we consider something like (USERNAME) or just the date, not time (15 July 2019)?

kostajh added a subscriber: Cntlsn.

@MMiller_WMF @Cntlsn this is going to be in beta shortly; could you please QA there?

Change 522108 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Allow posting questions to Flow pages

https://gerrit.wikimedia.org/r/522108

@kostajh -- I think we've decided in the past that it is important for help desk viewers to be able to distinguish headers when a user asks a question multiple times on the same page, which happens from time to time. I agree that it's not preferable that two dates are listed and they are different. I remember that in some context, we used numbers to distinguish posts from the same page or same user, e.g. "Help panel question on This Article (2)". What context did we do it in? Could we do it here?

kostajh claimed this task.Jul 16 2019, 3:00 AM

@kostajh -- I think we've decided in the past that it is important for help desk viewers to be able to distinguish headers when a user asks a question multiple times on the same page, which happens from time to time. I agree that it's not preferable that two dates are listed and they are different. I remember that in some context, we used numbers to distinguish posts from the same page or same user, e.g. "Help panel question on This Article (2)". What context did we do it in? Could we do it here?

Good idea. We currently increment the number in the somewhat rare case of multiple postings in the same minute. But we could adjust this logic to use number for Flow-based posts. I'll work on a patch for this.

Change 523487 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] QuestionPoster: Don't use timestamp with headers for Flow

https://gerrit.wikimedia.org/r/523487

Moving into Code Review for the patch above, but QA can continue in beta labs on the other aspects.

Change 523487 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] QuestionPoster: Don't use timestamp with headers for Flow

https://gerrit.wikimedia.org/r/523487

@Cntlsn @MMiller_WMF the question numbering bit can be QA'ed in beta now as well. When posting to a Flow board, you should see a number appended to the header if there is not a unique title (e.g. multiple postings to your mentor talk page or help desk via the Homepage).

Change 523808 had a related patch set uploaded (by Catrope; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@wmf/1.34.0-wmf.14] QuestionPoster: Don't use timestamp with headers for Flow

https://gerrit.wikimedia.org/r/523808

Change 523808 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.34.0-wmf.14] QuestionPoster: Don't use timestamp with headers for Flow

https://gerrit.wikimedia.org/r/523808

Mentioned in SAL (#wikimedia-operations) [2019-07-16T23:17:40Z] <catrope@deploy1001> Synchronized php-1.34.0-wmf.14/extensions/GrowthExperiments/: Don't use timestamp in help panel questions in Flow (T212433) (duration: 00m 56s)

MMiller_WMF added a comment.EditedJul 17 2019, 8:14 PM

@kostajh @Catrope @SBisson -- I am able to test this now on Arabic Beta. Thank you. However, trying to test it makes me realize that I don't know enough about Flow to test this confidently.

@Etonkovidova -- I hope this can be your top priority for testing when you're back on Friday. There are a few things I'm concerned about right now, and you may find other things:

  • When questions are posted to normal talk pages via help panel and homepage, the revision history shows an edit tag (e.g. "Help panel question"). I don't see such tags in the revision history of the Arabic help desk when I post.
  • Could you please make sure that EventLogging is firing events in the HelpPanel schema as expected when the help panel and homepage modules are used with Flow?
  • We should also make sure that EditorJourney is firing events correctly for the Flow help desk -- we want it to be sending visit events for the first two weeks of the account's life, just as it does for normal help desks.
  • I'm not sure if these parentheses are in the right places and right directions in Arabic. It's possible that @Dyolf77_WMF can advise us:

  • I'm not sure if these parentheses are in the right places and right directions in Arabic. It's possible that @Dyolf77_WMF can advise us:

No they are not in the right places. It's a common bug, see this in Arabic Wikipedia

Yes, parentheses in RTL are a known bug. If you want know more about them, ask Moriel (book a couple of hours though 😄).

This comment was removed by Trizek-WMF.
Etonkovidova added a comment.EditedJul 20 2019, 3:15 AM

(1)

@Etonkovidova -- I hope this can be your top priority for testing when you're back on Friday. There are a few things I'm concerned about right now, and you may find other things:

  • When questions are posted to normal talk pages via help panel and homepage, the revision history shows an edit tag (e.g. "Help panel question"). I don't see such tags in the revision history of the Arabic help desk when I post.

Histry on Flow-based pages behaves differently - the edits are not tagged at all. When ar:Help desk page was converted to Flow, the tags stopped being applied.

(2)

  • Could you please make sure that EventLogging is firing events in the HelpPanel schema as expected when the help panel and homepage modules are used with Flow?
  • We should also make sure that EditorJourney is firing events correctly for the Flow help desk -- we want it to be sending visit events for the first two weeks of the account's life, just as it does for normal help desks.

Both schemas seem to be working for recording events that come from Flow-based pages. Will do more testing.

(3)

@Cntlsn @MMiller_WMF the question numbering bit can be QA'ed in beta now as well. When posting to a Flow board, you should see a number appended to the header if there is not a unique title (e.g. multiple postings to your mentor talk page or help desk via the Homepage).

The numbers get appended correctly to the non-unique titles.

Yes, parentheses in RTL are a known bug. If you want know more about them, ask Moriel (book a couple of hours though 😄).

I found that using Firefox and with same preferences there is no bug in displaying parentheses

The same page in Safari:

MMiller_WMF closed this task as Resolved.Jul 27 2019, 1:45 AM

Thank you. This is working in production.